!! Program Name            : DESCRIP.MMS
!!   Original Author       : JLAURET
!!   Date                  : 27-May-1999
!!   Program Description   :  VMS Make file for TEXT2C
!!                         : 

! In case you have flex installed somewhere else, use
! /MACRO=(FLEXLIB=WhereverOLBIs,FLEXINC=WhereverHAre)
FLEXLIB	  = SYS$LIBRARY:flexlib.olb
FLEXINC	  = SYS$LIBRARY:


!
! VAX/AXP
!
.ifdef __AXP__
EXE	  = EXE_AXP
OBJ       = OBJ_AXP
CFLAGS    = /prefix=ALL/standard=vaxc/g_float/include=($(FLEXINC))
LINKFLAGS = ,$(FLEXLIB)/lib
.else
EXE	  = EXE_VAX
OBJ       = OBJ_VAX
CFLAGS	  = /g_float/include=($(FLEXINC))
LINKFLAGS = ,$(FLEXLIB)/lib,sys$Library:vaxcrtl/lib
.endif


!
! Rules now
!
TEXT2C.$(EXE) : TEXT2C.$(OBJ)
	LINK/EXEC=$(MMS$TARGET) TEXT2C.$(OBJ) $(LINKFLAGS)
	@ WRITE SYS$OUTPUT "TEXT2C.$(EXE) is ready"


TEXT2C.$(OBJ) : TEXT2C.C
	CC $(CFLAGS)/OBJECT=$(MMS$TARGET) $(MMS$SOURCE)

TEXT2C.C : TEXT2C.FLEX
	FLEX TEXT2C.FLEX
	RENAME LEXYY.C TEXT2C.C

VMS_BIN.ZIP : TEXT2C.$(EXE)
	PURGE/NOLOG/NOCONFIRM *.OBJ*,*.EXE*
	ZIP/MOVE/VMS VMS_BIN.ZIP *.OBJ*,*.EXE*

CLEAN :
	@ IF f$SEARCH("LEXYY.C").nes."" then delete/nolog/noconf LEXYY.C;*
	@ IF f$SEARCH("TEXT2C.C").nes."" then delete/nolog/noconf TEXT2C.C;*
	@ IF f$SEARCH("TEXT2C.FLEX_GEN").nes."" then delete/nolog/noconf TEXT2C.FLEX_GEN;*
	@ IF f$SEARCH("TEXT2C.OBJ*").nes."" then delete/nolog/noconf TEXT2C.OBJ*;*
	@ IF f$SEARCH("TEXT2C.EXE*").nes."" then delete/nolog/noconf TEXT2C.EXE*;*
	@ IF f$SEARCH("TEXT2C_*.*").nes."" then delete/nolog/noconf TEXT2C_*.*;*

TEST  : TEXT2C.$(EXE)
	@ WRITE SYS$OUTPUT "o Generating TEXT2C from itself"
	@ WRITE SYS$OUTPUT "  Preparing Header"
	@ OPEN/WRITE FILOUT TEXT2C_HEADER.C
	@ WRITE FILOUT "#include <stdio.h>"
	@ WRITE FILOUT "main()"
	@ WRITE FILOUT "{"
	@ CLOSE FILOUT
	@ COPY TEXT2C_HEADER.C TEXT2C_GEN.C   ! Look redundant but it is NOT
	@ COPY/NOLOG TEXT2C.FLEX TEXT2C_TMP.C
	@ WRITE SYS$OUTPUT "  Generating Code"
	MCR []TEXT2C.$(EXE) TEXT2C_TMP.C TEXT2C_GEN.C
	@ OPEN/APPEND FILOUT TEXT2C_GEN.C
	@ WRITE FILOUT "}"
	@ CLOSE FILOUT
	@ COPY/NOLOG TEXT2C_HEADER.C,TEXT2C_GEN.C  TEXT2C_TMP.C
	@ CC $(CFLAGS) TEXT2C_TMP.C /OBJ=TEXT2C_GEN.$(OBJ)
	@ LINK/EXEC=TEXT2C_GEN.$(EXE) TEXT2C_GEN.$(OBJ) $(LINKFLAGS) 
	@ WRITE SYS$OUTPUT "  Running Generated TEXT2C_GEN"
	@ DEFINE/USER SYS$OUTPUT TEXT2C.FLEX_GEN
	MCR []TEXT2C_GEN.$(EXE)
	@ WRITE SYS$OUTPUT "  Checking for differences"
	@ DIFFERENCE  TEXT2C.FLEX_GEN TEXT2C.FLEX

HELP : TEXT2C.MAN TEXT2C.HLP TEXT2C.HTML
        @ write sys$output "Help file, Manpage and HTML ready"

TEXT2C.MAN : TEXT2C.POD
        pod2man TEXT2C.POD >TEXT2C.MAN

TEXT2C.HLP : TEXT2C.POD
        pod2hlp TEXT2C.POD

TEXT2C.HTML : TEXT2C.POD
        pod2html TEXT2C.POD >TEXT2C.HTML
        if f$search("POD2HTML-DIRCACHE.;").nes."" then delete/nolog/noconf POD2HTML-*.;*


